<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemHighRiseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemHighRise">
        <id column="id" property="id" />
        <result column="to_do_ptersonnel" property="toDoPtersonnel" />
        <result column="build_name" property="buildName" />
        <result column="build_secondary_name" property="buildSecondaryName" />
        <result column="address" property="address" />
        <result column="many_ownership" property="manyOwnership" />
        <result column="birth_cert" property="birthCert" />
        <result column="principal_property_owner" property="principalPropertyOwner" />
        <result column="credit_code" property="creditCode" />
        <result column="property_service" property="propertyService" />
        <result column="property_num" property="propertyNum" />
        <result column="property_service_name" property="propertyServiceName" />
        <result column="property_credit_code" property="propertyCreditCode" />
        <result column="lproperty_andline_num" property="lpropertyAndlineNum" />
        <result column="property_project_leader" property="propertyProjectLeader" />
        <result column="property_leader_phone" property="propertyLeaderPhone" />
        <result column="fire_service_maintain" property="fireServiceMaintain" />
        <result column="maintain_num" property="maintainNum" />
        <result column="maintain_name" property="maintainName" />
        <result column="maintain_credit_code" property="maintainCreditCode" />
        <result column="maintain_project_leader" property="maintainProjectLeader" />
        <result column="maintain_leader_phone" property="maintainLeaderPhone" />
        <result column="fire_service_check" property="fireServiceCheck" />
        <result column="check_num" property="checkNum" />
        <result column="check_name" property="checkName" />
        <result column="check_credit_code" property="checkCreditCode" />
        <result column="check_project_leader" property="checkProjectLeader" />
        <result column="check_leader_phone" property="checkLeaderPhone" />
        <result column="fire_service_estimate" property="fireServiceEstimate" />
        <result column="estimate_num" property="estimateNum" />
        <result column="estimate_name" property="estimateName" />
        <result column="estimate_credit_code" property="estimateCreditCode" />
        <result column="estimate_project_leader" property="estimateProjectLeader" />
        <result column="estimate_leader_phone" property="estimateLeaderPhone" />
        <result column="control_room" property="controlRoom" />
        <result column="control_room_address" property="controlRoomAddress" />
        <result column="certificate_num" property="certificateNum" />
        <result column="pump_room_address" property="pumpRoomAddress" />
        <result column="combiner_address" property="combinerAddress" />
        <result column="build_high" property="buildHigh" />
        <result column="complete_year" property="completeYear" />
        <result column="under_floor" property="underFloor" />
        <result column="above_floor" property="aboveFloor" />
        <result column="build_type" property="buildType" />
        <result column="birth_cert_register" property="birthCertRegister" />
        <result column="birth_cert_use" property="birthCertUse" />
        <result column="functional_purpose" property="functionalPurpose" />
        <result column="other_desc" property="otherDesc" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
    </resultMap>

</mapper>
